typedef struct Layer Layer;
typedef struct Screen Screen;

struct Layer {
	Uint8 pixels[PHYSFBWIDTH * PHYSFBHEIGHT];
	Uint8 changed;
};

struct Screen {
	Uint16 palette[4], *pixels;
	Uint16 width, height;
	Layer fg, bg;
};

extern Screen uxn_screen;

void screen_init(Screen *scr);
void screen_palette(Screen *scr, Uint8 *addr);
void screen_clear(Screen *scr, Layer *layer);
void screen_redraw(Screen *scr);

Uint8 screen_dei(Device *d, Uint8 port);
void  screen_deo(Device *d, Uint8 port);
